package ru.myitschool.work

import android.content.Context
import android.content.SharedPreferences
import java.util.Base64

object SessionManager {
    private const val PREF_NAME = "user_session"
    private const val KEY_USER_LOGIN = "user_login"
    private const val KEY_USER_ROLE = "user_role"

    private lateinit var preferences: SharedPreferences

    fun init(context: Context) {
        preferences = context.getSharedPreferences(PREF_NAME, Context.MODE_PRIVATE)
    }

    var userLogin: String?
        get() = preferences.getString(KEY_USER_LOGIN, null)
        set(value) {
            preferences.edit().putString(KEY_USER_LOGIN, value).apply()
        }

    var userRole: String?
        get() = preferences.getString(KEY_USER_ROLE, null)
        set(value) {
            preferences.edit().putString(KEY_USER_ROLE, value).apply()
        }

    fun getAuthHeader(): String {
        val username = userLogin ?: return ""
        val password = "password123" // Замените на ваш пароль
        val credential = Base64.getEncoder().encodeToString("$username:$password".toByteArray())
        return "Basic $credential"
    }

    fun clearSession() {
        userLogin = null
        userRole = null
    }
}