package ru.myitschool.work.api

import okhttp3.Interceptor
import okhttp3.Response
import java.util.Base64

class AuthInterceptor(private val username: String, private val password: String) : Interceptor {
    override fun intercept(chain: Interceptor.Chain): Response {
        val originalRequest = chain.request()
        val credential = Base64.getEncoder().encodeToString("$username:$password".toByteArray())
        val newRequest = originalRequest.newBuilder()
            .addHeader("Authorization", "Basic $credential")
            .build()
        return chain.proceed(newRequest)
    }
}